Subject: bug#17681: 24.3.91; "Arithmetic Error" in hide-ifdef mode when using shift operators

From: Glenn Morris <[email-masked]>
Date: Fri, 06 Jun 2014 11:19:54 -0400

Luke Lee wrote:

> Different versions of Emacs seems to behave differently. On my Linux
> machine it's Emacs 24.3.50.2 and it does not throw any error. On
> Cygwin Emacs 24.3.2 it throw an error.

The relevant version at the moment is the Emacs 24.3.91 pretest.

http://alpha.gnu.org/gnu/emacs/pretest/emacs-24.3.91.tar.xz

24.3.50 is an old development version and should not be used any more.

> It seems that others' submitted `hif-string-to-number' introduced some
> difference.

Apart from your 2014-01-28 changes, I see no changes to hideif.el in
Emacs 24.3.91 since 2012-10-02. hif-string-to-number is only in the
Emacs trunk, not the emacs-24 branch, so doesn't affect this report.